tigase.server.amp

## Class ActionAbstract

- java.lang.Object
- - tigase.server.amp.ActionAbstract

- All Implemented Interfaces:
    ActionIfc, AmpFeatureIfc
  Direct Known Subclasses:
    Alert, Deliver, Drop, Error, Notify, Store

      public abstract class ActionAbstract
      extends Object
      implements ActionIfc

  Created: May 1, 2010 7:44:17 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AMP_SECURITY_LEVEL` Field description
    `static String` | `AMP_SECURITY_LEVEL_DEFAULT` Field description
    `protected ActionResultsHandlerIfc` | `resultsHandler` Field description
    `static String` | `SECURITY_PROP_KEY` Field description

    - ### Fields inherited from interface tigase.server.amp.AmpFeatureIfc

      `ACTION_ATT, AMP_MSG_REPO_URI_PARAM, AMP_MSG_REPO_URI_PROP_KEY, AMP_XMLNS, CONDITION_ATT, EXPIRED, FROM_CONN_ID, MSG_OFFLINE_PROP_KEY, OFFLINE, TO_CONN_ID, TO_RES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionAbstract()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getDefaults(Map<String,Object> params)` Method description
    `protected Packet` | `prepareAmpPacket(Packet packet, tigase.xml.Element rule)` Method description
    `protected void` | `removeTigasePayload(Packet packet)` Method description
    `void` | `setProperties(Map<String,Object> props, ActionResultsHandlerIfc resultsHandler)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.server.amp.ActionIfc

      `execute`

    - ### Methods inherited from interface tigase.server.amp.AmpFeatureIfc

      `getName`

- - ### Field Detail

    - #### AMP_SECURITY_LEVEL

          public static final String AMP_SECURITY_LEVEL

      Field description
      See Also:
        Constant Field Values

    - #### AMP_SECURITY_LEVEL_DEFAULT

          public static final String AMP_SECURITY_LEVEL_DEFAULT

      Field description
      See Also:
        Constant Field Values

    - #### SECURITY_PROP_KEY

          public static final String SECURITY_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### resultsHandler

          protected ActionResultsHandlerIfc resultsHandler

      Field description

  - ### Constructor Detail

    - #### ActionAbstract

          public ActionAbstract()

  - ### Method Detail

    - #### getDefaults

          public Map<String,Object> getDefaults(Map<String,Object> params)

      Method description
      Specified by:
        `getDefaults` in interface `ActionIfc`
      Parameters:
        `params` -
      Returns:

    - #### setProperties

          public void setProperties(Map<String,Object> props,
                           ActionResultsHandlerIfc resultsHandler)

      Method description
      Specified by:
        `setProperties` in interface `ActionIfc`
      Parameters:
        `props` -
        `resultsHandler` -

    - #### prepareAmpPacket

          protected Packet prepareAmpPacket(Packet packet,
                                tigase.xml.Element rule)
                                     throws PacketErrorTypeException

      Method description
      Parameters:
        `packet` -
        `rule` -
      Returns:
      Throws:
        `PacketErrorTypeException`

    - #### removeTigasePayload

          protected void removeTigasePayload(Packet packet)

      Method description
      Parameters:
        `packet` -

Copyright © 2013 Tigase. All rights reserved.